Module java.desktop
Package javax.swing.plaf.nimbus

# Enum Class AbstractRegionPainter.PaintContext.CacheMode

java.lang.Object
java.lang.Enum<AbstractRegionPainter.PaintContext.CacheMode>
javax.swing.plaf.nimbus.AbstractRegionPainter.PaintContext.CacheMode

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractRegionPainter.PaintContext.CacheMode>`, `Constable`

Enclosing class:
  AbstractRegionPainter.PaintContext

protected static enum AbstractRegionPainter.PaintContext.CacheMode extends Enum<AbstractRegionPainter.PaintContext.CacheMode>
Cache mode.

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIXED_SIZES`
Fixed sizes.
`NINE_SQUARE_SCALE`
Nine square scale.
`NO_CACHING`
No caching.

## Method Summary

Modifier and Type
Method
Description
`static AbstractRegionPainter.PaintContext.CacheMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractRegionPainter.PaintContext.CacheMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_CACHING

public static final AbstractRegionPainter.PaintContext.CacheMode NO_CACHING
No caching.

### FIXED_SIZES

public static final AbstractRegionPainter.PaintContext.CacheMode FIXED_SIZES
Fixed sizes.

### NINE_SQUARE_SCALE

public static final AbstractRegionPainter.PaintContext.CacheMode NINE_SQUARE_SCALE
Nine square scale.

## Method Details

### values

public static AbstractRegionPainter.PaintContext.CacheMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractRegionPainter.PaintContext.CacheMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null